# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Test.pm) perl(Class/Accessor/Fast.pm) perl(Class/Data/Inheritable.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(DateTime/Event/Cron.pm) perl(DateTime/TimeZone.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/stat.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(IO/File.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Set/Scalar.pm) perl(Socket.pm) perl(Storable.pm) perl(Test/More.pm) perl(YAML.pm) perl(YAML/Syck.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Catalyst-Plugin-Scheduler
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Schedule events to run in a cron-like fashion
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BR/BRICAS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This plugin allows you to schedule events to run at recurring intervals.
Events will run during the first request which meets or exceeds the specified
time.  Depending on the level of traffic to the application, events may or may
not run at exactly the correct time, but it should be enough to satisfy many
basic scheduling needs.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

